function buildExpandable() {
  if (document.getElementsByTagName) {
    var elements = document.getElementsByTagName('*');
    for (var i = 0; i < elements.length; i++) {
      var element = elements.item(i);
      if (element.className == 'exphead') {
        element.className = 'noexphead';
        var text = element.innerHTML;
        element.innerHTML = '<a href="javascript:void(0)" onclick="toggle(this, this.firstChild)" title="Click to show/hide content"><span class="toggleIcon">\+</span>' + text + '</a>';
      } 
      if (element.className == 'expcont') {
        element.className = 'hiddencont';
        //element.style.display = 'none';
      }
    }
  }
}

function toggle(heading, icon) {
  var element = heading.nextSibling;
  while (element != null && element.nodeName == '#text') {
    element = element.nextSibling;
  }
  if (element == null || element.tagName != 'DIV') {
    return toggle(heading.parentNode, icon);
  }
  if (element.className == 'hiddencont') {
    element.className = 'showncont';
    //element.style.display = 'block';
    icon.innerHTML = '-';
    return;
  } 
  if (element.className == 'showncont') {
    element.className = 'hiddencont';
    //element.style.display = 'none';
    icon.innerHTML = '+';
    return;
  }
  return;
}
